namespace Foxchat.Identity.Database.Models;

public class ChatInstance : BaseModel
{
    public string Domain { get; init; } = null!;
    public string BaseUrl { get; set; } = null!;
    public string PublicKey { get; set; } = null!;
    public InstanceStatus Status { get; set; }
    public string? Reason { get; set; }

    public List<Account> Accounts { get; } = [];

    public enum InstanceStatus
    {
        Active,
        Suspended,
    }
}
